136
ответов

gcc-6 сохранен, не обновлен [dубликат]

Я получаю следующее при попытке обновления: Следующие пакеты были сохранены: gcc-6-base libatomic1 libcilkrts5 libgcc1 libgfortran3 libgomp1 libitm1 libquadmath0 libstdc ++ 6 ...
вопрос задан: 3 March 2017 05:16
63
ответа

Среда разработки Lean C на Ubuntu 14.04 [dубликат]

Мне нужна очень скудная система с минимальным количеством пакетов, установленных для разработки на языке программирования C. Я знаю о встроенном мета-пакете, но он слишком велик для моих намерений, поскольку я просто работаю ...
вопрос задан: 23 March 2017 23:13
60
ответов

Старая версия gcc для нового Ubuntu

Есть ли репозиторий, содержащий пакеты для старых версий gcc, для последней версии Ubuntu. Я хочу установить gcc3 вместе с gcc 4, для программ, которые нуждаются в gcc3.
вопрос задан: 7 June 2011 16:20
60
ответов

Установка G ++ 3.4.2 на определенный префикс / суффикс [dубликат]

Я отправляю код онлайн-судье, который использует G ++ 3.4.2, но на моем компьютере установлена ​​G ++ 7.2.0 из apt. Я бы хотел установить более старую версию G ++ и GCC на g ++ - 3.4.2 и gcc-3.4.2 вместо ...
вопрос задан: 7 June 2011 16:20
46
ответов

Переключение между двумя версиями gcc [duplicate]

По умолчанию моя система использует gcc 5.4.0 в ubuntu 16.04 для запуска конкретной программы. Мне нужно переключиться на gcc 4.8. Мой вопрос заключается в следующем: как я могу переключиться на gcc 4.8 перед запуском программы и ...
вопрос задан: 30 May 2018 08:59
45
ответов

Устранение проблем после обновления до 11.10

Прямо сейчас у меня возникают трудности с связыванием проекта, над которым я работаю, с gcc4.6 в ubuntu 11.10. Перед обновлением дистрибутива все связано отлично, и он все еще компилирует / ссылки на другом ...
вопрос задан: 19 October 2011 08:35
40
ответов

Как установить gcc-4.3?

Есть ли простой способ установки gcc-4.3 на Oneiric? Мне это действительно нужно, потому что matlab зависит от i для создания mex-файлов. Я попытался изменить все мои репозитории обратно в Maverick только для установки ...
вопрос задан: 10 December 2011 21:21
37
ответов

Ubuntu 17.10 Обновление сломанной рабочей станции VMWare 12.5

Привет после обновления до Ubuntu 17.10, vmware теперь не запускается. Я получаю сообщение: / usr / lib / vmware / bin / vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0 'с` / lib / x86_64-linux-gnu / ...
вопрос задан: 24 October 2017 13:57
36
ответов

Невозможно собрать gcc больше с момента обновления до 11.10

В понедельник я обновился до Ubuntu 11.04 (моя первоначальная установка) до 11.10, и теперь я больше не могу строить gcc из исходного кода. Поскольку я забыл удалить пакет gcc перед обновлением, Ubuntu ...
вопрос задан: 10 November 2011 22:56
36
ответов

Невозможно скомпилировать программу, использующую SDL после обновления до 11.10 - неопределенная ссылка на SDL_Init

Я только что обновился с 11.4 до 11.10, и по крайней мере одна вещь, кажется, сломана: у меня есть программа на С ++, использующая SDL и OpenGL. Я смог скомпилировать и запустить его просто отлично до обновления. Сейчас я ...
вопрос задан: 18 October 2011 21:52
36
ответов

Как обновить gcc до последней версии (в данном случае 4.7) в Ubuntu 10.04?

У меня Ubuntu 10.04 32-бит с установленным на нем gcc 4.4.3. Я хочу обновить его до gcc / g ++ 4.7 (я ищу поддержку C ++ 0x). Как обновить с помощью Ubuntu Package Manager: apt-get upgrade / ...
вопрос задан: 13 September 2011 19:45
33
ответа

Как я могу получить gcc для записи файла размером более 2.0 ГБ?

Я хотел перекомпилировать 'ключам' (написан на C), так что я установил в codeblocks как IDE. Все шло хорошо до я обнаружил, что я не мог писать мимо барьера 2.0 ГБ... я читал, что 'ССЗ' ...
вопрос задан: 14 January 2011 09:48
32
ответа

Eclipse не может найти библиотеки индексов GCC или G ++

Установка CDT Tools на Eclipse не может найти в индексных библиотеках GCC или G ++, но файл запущен. Пример: include stdio.h (комментарий не принимает & lt;> и #). Желтая строка ...
вопрос задан: 17 October 2011 01:49
28
ответов

17.10 компиляция vmware [dубликат]

Я не смог запустить Vmware Workstation с момента обновления 17.10, я не видел ошибок, но наиболее перспективным решением было то, что я видел здесь: https://askubuntu.com/a/968429/460918 - но когда. ..
вопрос задан: 24 October 2017 13:57
28
ответов

Как установить последнюю версию GCC и т. Д. 10.04? [dубликат]

Возможный дубликат: как обновить gcc до последней версии (в данном случае 4.7) в Ubuntu 10.04? Итак, в принципе, я хочу, чтобы у меня был GNOME 2, потому что мне нужна тема для него (Mac OS X как тема), но я ...
вопрос задан: 13 September 2011 19:45
28
ответов

Как скомпилировать и запустить программу C

Я установил компилятор GCC, используя команду «Установить сборку». после установки я написал простую c prgm. Я попытался выполнить следующую команду: gcc First.c ./a.out, но я получаю «...
вопрос задан: 27 March 2011 18:24
27
ответов

ВМ плеер 12.5.7 не принимает ССЗ 7.2 на Ubuntu 14.04

Привет, мои дорогие пользователи Linux, я запускаю Ubuntu 14.04, и у меня установлен gcc-7 с использованием тестовых сборников Toolchain. Когда я запускаю VM Player 12.5.7 build-5813279, он запрашивает gcc 7.2. Я указываю его / usr / bin / ...
вопрос задан: 25 September 2017 05:29
27
ответов

Компиляция кодов C в Ubuntu

Я новичок-программист и пытаюсь скомпилировать код C в Ubuntu. Я уже установил GCC. Как я исхожу отсюда?
вопрос задан: 31 August 2017 21:27
27
ответов

Всякий раз, когда я пытаюсь установить любые приложения на терминале, я хочу, чтобы пакет был переустановлен, но не может найти архив [duplicate]

Пакет gcc-6-base: i386 необходимо переустановить, но я не могу найти для него архив.
вопрос задан: 20 June 2017 17:02
27
ответов

Моя программа не может работать с & ldquo; команда не найдена & rdquo; ошибка

Я просто переключился с Windows на Ubuntu 11.10. Я написал следующий код в C с помощью текстового редактора и сохранил его как HelloWorld.c в документах. #include & lt; stdio.h & gt; int main () {printf ("Привет ...
вопрос задан: 7 March 2012 16:14
26
ответов

Установите gcc на Ubuntu 12.04 LTS

Когда я пытаюсь установить gcc на Ubuntu 12.04 LTS Server с apt-get install gcc, я получаю следующую ошибку: Следующие пакеты имеют неудовлетворенные зависимости: gcc: Зависит: cpp (& gt; = 4: 4.6.1-2ubuntu5). ,
вопрос задан: 22 June 2012 02:41
25
ответов

Как установить gcc-4.1?

1) Мне нужно gcc-4.1 для использования Matlab mex, но я не могу полностью установить его с помощью apt-get install: Следующие пакеты имеют неудовлетворенные зависимости: libstdc ++ 6-4.1-dev: Зависит от gcc-4.1-base (= 4.1.2 -...
вопрос задан: 12 November 2010 15:15
24
ответа

Инструменты разработки [dубликат]

Я только что загрузил и установил последнюю версию Ubuntu 18.04 (ISO был ubuntu-18.04-desktop-amd64.iso). Я заметил, что по умолчанию не установлены инструменты разработки (git, gcc, g ++, make). Является ...
вопрос задан: 18 May 2018 02:13
24
ответа

Простой способ получить все файлы .o, но один

Я пытаюсь связать все * .o файлы из другой папки и хотел бы в моем Makefile сделать что-то вроде; g ++ * .o (папка / *. o, а не папка / main.o) -o bin Есть ли какой-то способ я могу использовать somekind of ...
вопрос задан: 16 January 2012 19:15
24
ответа

gcc больше не работает после обновления

В качестве примера: hsmyers @ ubuntu: ~ / c_dev $ cat hello.c #include & lt; stdio.h & gt; int main (int argc, char ** argv) {printf («Hello World!\n»); return 0; } hsmyers @ ubuntu: ~ / c_dev $ gcc -c -o hello.o hello.c ...
вопрос задан: 26 November 2011 00:53
24
ответа

Как я могу обновить sqlite3 по крайней мере до 3.4.2 (или новее)?

Когда я пытаюсь запустить sudo apt-cache showpkg sqlite3, я получаю только версию 3.4.2. Мне нужно позже, чтобы собрать sqlite3-ruby gem, и я не могу сделать из исходных файлов (даже с ./configure --...
вопрос задан: 31 May 2011 21:35
23
ответа

Версии gcc привязаны к версиям ядра?

Есть ли связь между версиями gcc и версией ядра? В частности, смогу ли я установить очень старую версию gcc на последнее ядро. Или я бы смог построить ...
вопрос задан: 11 July 2012 18:16
22
ответа

Установите gcc 7.1 на Xubuntu 16.04 и установите его по умолчанию

Я хочу установить последний пакет gcc (7.1) на Xubuntu 16.04.4. Я успешно установил пакет, следуя инструкциям, приведенным здесь от GAD3R. Проблема в том, что когда я запускаю: gcc - ...
вопрос задан: 3 August 2017 21:12
22
ответа

C stdio.h нет такого файла или каталога

gcc работал отлично, пока я не обновился до ubuntu 16.04, а теперь, когда запущен gcc file.c, появляется ошибка: file.c: 1: 18: фатальная ошибка: stdio.h: такой компилятор файла или каталога не завершен. Я ...
вопрос задан: 17 July 2017 21:39
22
ответа

Установка более старой версии gcc (3.4.3) на Ubuntu 14.04 (в настоящее время установлена ​​4,8)

У меня установлен gcc 4.8, но мне также нужно установить gcc 3.4.3. Я выполнил следующие шаги: Загрузил gcc 3.4.3 из gcc.parentingamerica.com/releases. Извлекла смолу. ./configure make ...
вопрос задан: 8 June 2017 11:24